import { useParamsFromRecord } from "../../../../../block-provider/BlockProvider.mjs";
import { useDetailsParentRecord } from "../../details-single/hooks/useDetailsDecoratorProps.mjs";
function useEditFormBlockDecoratorProps(props) {
    const params = useFormBlockParams();
    let parentRecord;
    if (props.association) parentRecord = useDetailsParentRecord(props.association);
    return {
        params: {
            ...params,
            ...props.params
        },
        parentRecord
    };
}
function useFormBlockParams() {
    return useParamsFromRecord();
}
export { useEditFormBlockDecoratorProps };
